repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: check-yaml
        args:
          - --allow-multiple-documents
      - id: end-of-file-fixer
      - id: trailing-whitespace
  - repo: https://github.com/daveshanley/vacuum
    rev: v0.5.8
    hooks:
      - id: vacuum
        files: (^|/)(openapi|swagger)(/[a-zA-Z_-]+)?\.(json|ya?ml)$
        args:
          - --details
          - --fail-severity=warn
